using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Syncfusion.Windows.Forms.Diagram;

namespace Diagram_WF_TextNode
{
    public partial class Form1 : Form
    {
        TextNode t;
        private SymbolPalette palette = new SymbolPalette();
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            this.diagram1.Model.SizeToContent = true;
            t = new TextNode("Heyjngfjgjf");
            t.FontStyle.Family = "Arial";
            t.FontStyle.PointSize = 32;
            t.PinPoint = new PointF(100,100);
            t.FontStyle.Bold = true;
            t.FontColorStyle.Color = Color.Red;
            t.SizeToText(SizeF.Empty);
            t.BackgroundStyle.Color = Color.Yellow;
            t.MeasurementUnit = MeasureUnits.Inch;
            t.Name = "Default Inch";
            t.InheritContainerMeasureUnits = false;

            Ellipse e1 = new Ellipse(0, 0, 50, 50);
            e1.MeasurementUnit = MeasureUnits.Millimeter;
            e1.InheritContainerMeasureUnits = false;
            e1.Name = "Default Millimeter";

            Ellipse e2 = new Ellipse(0, 0, 50, 50);
            e2.Name = "set to Model values";

            this.palette.AppendChild(t);
            this.palette.AppendChild(e1);
            this.palette.AppendChild(e2);

            this.paletteGroupView1.LoadPalette(palette);
        }
    }
}